# parsl.launchers.WrappedLauncher

class parsl.launchers.WrappedLauncher(prepend: str, debug: bool = True)

  Wraps the command by prepending commands before a user’s command

  As an example, the wrapped launcher can be used to launch a command inside a docker container by prepending the proper docker invocation

  __init__(prepend: str, debug: bool = True)
    Parameters:

      prepend (str) – Command to use before the launcher (e.g., `time`)

  Methods

  `__init__`(prepend[, debug]) |